## com.google.javascript.jscomp.jsonml
Class JsonMLError

    java.lang.Object
      com.google.javascript.jscomp.jsonml.JsonMLError

    public class JsonMLError

extends Object

Class used to represent errors which correspond to JsonML elements.

Field Summary
`String` | `description` Description of the error
`JsonML` | `element` Node where the warning occurred.
`ErrorLevel` | `level` Level
`int` | `lineNumber` Line number of the source
`String` | `sourceName` Name of the source

Method Summary
`static JsonMLError` | `make(DiagnosticType type, String sourceName, JsonML element, int lineNumber, ErrorLevel level, String... arguments)`
`static JsonMLError` | `make(JSError error, JsonMLAst ast)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    public final String description

  Description of the error

### sourceName

    public final String sourceName

  Name of the source

### element

    public final JsonML element

  Node where the warning occurred.

### lineNumber

    public final int lineNumber

  Line number of the source

### level

    public final ErrorLevel level

  Level

Method Detail

### make

    public static JsonMLError make(DiagnosticType type,
                                   String sourceName,
                                   JsonML element,
                                   int lineNumber,
                                   ErrorLevel level,
                                   String... arguments)

### make

    public static JsonMLError make(JSError error,
                                   JsonMLAst ast)